## Klarna Checkout Python library

[![PyPI Version][pypi-image]](https://pypi.python.org/pypi?name=klarnacheckout&:action=display)
[![Build Status][travis-image]](https://travis-ci.org/klarna/kco_python)
[![Coverage Status][coveralls-image]](https://coveralls.io/r/klarna/kco_python?branch=v2.0)

Klarna Checkout is a revolutionary new payment solution that is changing the way
people shop online. First, consumers verify their purchase with a minimal
amount of information through intelligent identification, securing your order
immediately, and then complete their payment afterwards – separating buying
from paying and dramatically increasing conversion. Klarna Checkout also allows
merchants to offer all payment methods through one supplier, minimizing
administration, costs and integration time.

## About Klarna
Klarna was founded in Stockholm in 2005 with the idea of providing a
zero-friction online payment solution that would allow consumers and merchants
to interact with each other as safely and simply as possible. We do this by
letting the consumer receive the goods first and pay afterwards, while we assume
the credit and fraud risks for the merchants. Today, Klarna is one of Europe's
fastest growing companies. In just 8 years, we've grown to 800 employees
operating in 7 European countries with over 8 million consumers. But we are not
satisfied with that. Our goal is to become market leaders within invoice-based
payments worldwide and change the way the world shops online.

## Documentation
Documentation and more examples can be found at
[developers.klarna.com](https://developers.klarna.com).

## How to contribute
At Klarna, we strive toward achieving the highest possible quality for our
products. Therefore, we require you to follow these guidelines if you wish
to contribute.

To contribute, the following criteria needs to be fulfilled:
* Description regarding what has been changed and why
* Pull requests should implement a boxed change
* All code must follow the PEP-8 coding standard
* New features and bug fixes must have accompanying unit tests:
    * Positive tests
    * Negative tests
    * Boundary tests (if possible)
    * No less than 90% decision coverage
* All unit tests should pass

## Questions and feedback
If you have any questions concerning this product or the implementation,
please contact [integration@klarna.com](mailto:integration@klarna.com).

## Acknowledgements
* David Keijser
* Rickard Dybeck
* Majid Garmaroudi

## License
The Klarna Checkout Python library is released under
[Apache License, Version 2.0](http://www.apache.org/LICENSE-2.0)


[pypi-image]: https://img.shields.io/pypi/v/klarnacheckout.svg?style=flat
[travis-image]: https://img.shields.io/travis/klarna/kco_python/v2.0.svg?style=flat
[coveralls-image]: https://img.shields.io/coveralls/klarna/kco_python/v2.0.svg?style=flat
